WP-Blog and WordPress 3.0

During the night (CET) WordPress 3.0 saw the light of day. This is a major update to WordPress that adds a lot of new functionality along with a much improved administration backend.

I’m not going to go into details about all the changes in WordPress 3.0. You can read about the release here. Or if you want to skip directly to the juicy new features you can go here.

But what about WP-Blog?
WP-Blog works fine with WordPress 3.0. There may be minor things that needs adjustments but WordPress 3.0 does not completely break WP-Blog :)

What about the inclusion of WordPress MU into WordPress 3.0?
WP-Blog did not work with WordPress MU before because it works in a very different way. I haven’t had time to look into this in WordPress 3.0 yet but I don’t expect this to have changed. So if you want to use WP-Blog you cannot use the MU feature in WordPress 3.0.

Problems?
If you discover something that is not working properly please contact me and don’t forget to include a link to your WP-Blog page so I can take a look at your page.

Comments (9)

9 kommentarer till “WP-Blog and WordPress 3.0

  1. ia. skriver:

    I REALLY hope you can get MU working. It will save my life.

  2. simon cavill skriver:

    I cannot for the life of me work out how to configure your Rapidweaver Plug-in. I have loaded up a WordPress 3.0 blog at http://www.fleetbeekeepers.com/blog but your plugin just refuses to accept this URL when I enter it…

    It says they don’t match, but they do.

    You need to have much clearer instructions – I cannot understand how to configure the wordpress end either. Can’t you provide screenshots rather than complex instructions

    Simon

    • Grant skriver:

      It wont your address is http://www.fleetbeekeepers.com/blog
      it will enter it as ./blog/ thats correct its not using an absolute address
      and you wont get a preveiw in RW have to view on a web page

      I have about 4 sites with it and its an awesome plugin

      Thanks Roger great work

      Grant

    • nilrog skriver:

      Sorry for not responding sooner…

      I just looked at your site and the reason why you got the URL missmatch was probably because in RapidWeaver you have the Site URL set to ”http://fleetbeekeepers.com/” and in WP-Blog you tried to enter the Blog URL ”http://www.fleetbeekeepers.com/blog/”. In the current version they are not matching because of the ”www.” prefix but it’s on my todo list to fix that.

  3. Paul skriver:

    I have to agree i can seem to understand what I’m doing wrong either screen shots wold be great.

    Warning: require(./../wordpress/wp-blog-header.php) [function.require]: failed to open stream: No such file or directory in /home/princepr/public_html/page2/blog/blog.php on line 1

    Warning: require(./../wordpress/wp-blog-header.php) [function.require]: failed to open stream: No such file or directory in /home/princepr/public_html/page2/blog/blog.php on line 1

    Fatal error: require() [function.require]: Failed opening required ‘./../wordpress/wp-blog-header.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/princepr/public_html/page2/blog/blog.php on line 1

  4. Jim skriver:

    I have the same problem as Paul. Running WordPress 3.0 and RapidWeaver 4.4.2. The URLs are configured correctly but I keep getting a WordPress error message on the blog page:

    Warning: require(./wordpress/wp-blog-header.php) [function.require]: failed to open stream: No such file or directory in /home/content/58/6889958/html/page12/page12.php on line 1

    Fatal error: require() [function.require]: Failed opening required ‘./wordpress/wp-blog-header.php’ (include_path=’.:/usr/local/php5/lib/php’) in /home/content/58/6889958/html/page12/page12.php on line 1

  5. Kosta skriver:

    Hi,

    Do you think to release a new version of plugin since WordPress and RapidWeaver are updated?

    • nilrog skriver:

      A new version will be released soon. But the current version still works with both the latest version of RapidWeaver and WordPress.

      There are some PHP warnings that are shown depending on PHP version and/or WordPress version. But none of them breaks any vital functionality.

Leave a Reply

Du måste vara inloggad för att skriva en kommentar.